Daemon Power

The NetBSD Packages Collection: devel/ruby-rspec-rails

Brief description of the package:
Test-double framework for rspec

Please read the file "DESCR" for a longer description, or browse the package's history.

This package has a home page at https://relishapp.com/rspec.

Please note that this package has a mit license.

The package is located in the "devel/ruby-rspec-rails" directory. The current source version of the package is "ruby23-rspec-rails-3.6.1". For a summary on how to use the package collection, go to the top of the packages tree.

Problem reports, updates or suggestions for this package should be reported with send-pr.

The following security vulnerabilities are known for devel/ruby-rspec-rails :

If you have a vulnerable package installed on any machine, you are advised to remove the package immediately, using the standard package tools. The pkg_admin audit command locates any installed package which has been mentioned in security advisories as being vulnerable.

This package requires the following package(s) to build: ruby23-activesupport32>=3.2.22.5<3.3 ruby23-i18n>=0.6<1 ruby23-base>=2.3.5 libyaml>=0.1.1 cwrappers>=20150314 libyaml>=0.1.4 ruby23-multi_json>=1.0<2 ruby23-actionpack32>=3.2.22.5<3.3 ruby23-activemodel32>=3.2.22.5<3.2.23 ruby23-activesupport32>=3.2.22.5<3.2.23 ruby23-builder30>=3.0.0<3.1 ruby23-rack14>=1.4.5<1.5 ruby23-rack-cache>=1.2<2 ruby23-rack14>=0.4 ruby23-rack-test>=0.6.1<0.7 ruby23-rack14>=1.0 ruby23-journey>=1.0.4<1.1 ruby23-sprockets22>=2.2.1<2.3 ruby23-hike1>=1.2<2 ruby23-rack14>=1.4<2 ruby23-tilt1>=1.1<2 ruby23-erubis>=2.7.0<2.8 ruby23-railties32>=3.2.22.5<3.3 ruby23-thor<2.0 ruby23-rack-ssl>=1.3.2<1.5 ruby23-rack14>=0 ruby23-actionpack32>=3.2.22.5<3.2.23 ruby23-rspec-support>=3.6.0<3.7 ruby23-rspec-core>=3.6.0<3.7 ruby23-rspec-expectations>=3.6.0<3.7 ruby23-diff-lcs<2 ruby23-rspec-mocks>=3.6.0<3.7 .

This package requires the following package(s) to run: ruby23-activesupport32>=3.2.22.5<3.3 ruby23-i18n>=0.6<1 ruby23-base>=2.3.5 libyaml>=0.1.1 libyaml>=0.1.4 ruby23-multi_json>=1.0<2 ruby23-actionpack32>=3.2.22.5<3.3 ruby23-activemodel32>=3.2.22.5<3.2.23 ruby23-activesupport32>=3.2.22.5<3.2.23 ruby23-builder30>=3.0.0<3.1 ruby23-rack14>=1.4.5<1.5 ruby23-rack-cache>=1.2<2 ruby23-rack14>=0.4 ruby23-rack-test>=0.6.1<0.7 ruby23-rack14>=1.0 ruby23-journey>=1.0.4<1.1 ruby23-sprockets22>=2.2.1<2.3 ruby23-hike1>=1.2<2 ruby23-rack14>=1.4<2 ruby23-tilt1>=1.1<2 ruby23-erubis>=2.7.0<2.8 ruby23-railties32>=3.2.22.5<3.3 ruby23-thor<2.0 ruby23-rack-ssl>=1.3.2<1.5 ruby23-rack14>=0 ruby23-actionpack32>=3.2.22.5<3.2.23 ruby23-rspec-support>=3.6.0<3.7 ruby23-rspec-core>=3.6.0<3.7 ruby23-rspec-expectations>=3.6.0<3.7 ruby23-diff-lcs<2 ruby23-rspec-mocks>=3.6.0<3.7 .

This package supports the following build-time options:

(none)

Select one of the links below to download the package in precompiled binary form for installation with pkg_add(1). Available machine architectures and package versions:
alpha:ruby21-rspec-rails-3.4.2.tgz(NetBSD 7.0)
alpha:ruby22-rspec-rails-3.4.2.tgz(NetBSD 7.0)
alpha:ruby23-rspec-rails-3.4.2.tgz(NetBSD 7.0)
alpha:ruby200-rspec-rails-3.4.0.tgz(NetBSD 7.0)
alpha:ruby21-rspec-rails-3.4.0.tgz(NetBSD 7.0)
alpha:ruby22-rspec-rails-3.4.0.tgz(NetBSD 7.0)
alpha:ruby22-rspec-rails-3.6.0nb1.tgz(NetBSD 8.0)
alpha:ruby23-rspec-rails-3.6.0nb1.tgz(NetBSD 8.0)
alpha:ruby24-rspec-rails-3.6.0nb1.tgz(NetBSD 8.0)
arm:ruby200-rspec-rails-2.14.1.tgz(NetBSD 6.1_STABLE)
earm:ruby22-rspec-rails-3.4.0.tgz(NetBSD 7.0)
earm:ruby200-rspec-rails-3.4.0.tgz(NetBSD 7.0)
earm:ruby22-rspec-rails-3.4.0.tgz(NetBSD 7.0)
earmv6hf:ruby193-rspec-rails-3.2.1.tgz(NetBSD 7.0)
earmv6hf:ruby200-rspec-rails-3.2.1.tgz(NetBSD 7.0)
earmv6hf:ruby21-rspec-rails-3.2.1.tgz(NetBSD 7.0)
earmv6hf:ruby200-rspec-rails-3.4.0.tgz(NetBSD 7.0)
earmv6hf:ruby21-rspec-rails-3.4.0.tgz(NetBSD 7.0)
earmv6hf:ruby22-rspec-rails-3.4.0.tgz(NetBSD 7.0)
earmv7hf:ruby200-rspec-rails-3.4.0.tgz(NetBSD 7.0)
earmv7hf:ruby21-rspec-rails-3.4.0.tgz(NetBSD 7.0)
earmv7hf:ruby22-rspec-rails-3.4.0.tgz(NetBSD 7.0)
earmv7hf:ruby193-rspec-rails-3.3.3.tgz(NetBSD 7.99.21)
earmv7hf:ruby200-rspec-rails-3.3.3.tgz(NetBSD 7.99.21)
earmv7hf:ruby21-rspec-rails-3.3.3.tgz(NetBSD 7.99.21)
earmv7hf:ruby22-rspec-rails-3.3.3.tgz(NetBSD 7.99.21)
earmv7hf:ruby22-rspec-rails-3.6.0nb1.tgz(NetBSD 8.0_BETA)
earmv7hf:ruby23-rspec-rails-3.6.0nb1.tgz(NetBSD 8.0_BETA)
earmv7hfeb:ruby200-rspec-rails-3.4.0.tgz(NetBSD 7.0)
earmv7hfeb:ruby21-rspec-rails-3.4.0.tgz(NetBSD 7.0)
earmv7hfeb:ruby22-rspec-rails-3.4.0.tgz(NetBSD 7.0)
earmv7hfeb:ruby23-rspec-rails-3.4.0.tgz(NetBSD 7.0)
i386:ruby18-rspec-rails-2.14.1.tgz(MirBSD 10)
i386:ruby193-rspec-rails-2.14.1.tgz(MirBSD 10)
i386:ruby200-rspec-rails-2.14.1.tgz(MirBSD 10)
i386:ruby211-rspec-rails-2.14.1.tgz(MirBSD 10)
i386:ruby22-rspec-rails-3.6.1.tgz(NetBSD 6.0)
i386:ruby23-rspec-rails-3.6.1.tgz(NetBSD 6.0)
i386:ruby24-rspec-rails-3.6.1.tgz(NetBSD 6.0)
i386:ruby21-rspec-rails-3.4.2.tgz(NetBSD 6.0)
i386:ruby22-rspec-rails-3.4.2.tgz(NetBSD 6.0)
i386:ruby23-rspec-rails-3.4.2.tgz(NetBSD 6.0)
i386:ruby21-rspec-rails-3.5.2.tgz(NetBSD 6.0)
i386:ruby22-rspec-rails-3.5.2.tgz(NetBSD 6.0)
i386:ruby23-rspec-rails-3.5.2.tgz(NetBSD 6.0)
i386:ruby21-rspec-rails-3.5.2.tgz(NetBSD 6.0)
i386:ruby22-rspec-rails-3.5.2.tgz(NetBSD 6.0)
i386:ruby23-rspec-rails-3.5.2.tgz(NetBSD 6.0)
i386:ruby22-rspec-rails-3.6.0nb1.tgz(NetBSD 6.0)
i386:ruby23-rspec-rails-3.6.0nb1.tgz(NetBSD 6.0)
i386:ruby24-rspec-rails-3.6.0nb1.tgz(NetBSD 6.0)
i386:ruby22-rspec-rails-3.6.1.tgz(NetBSD 6.1)
i386:ruby23-rspec-rails-3.6.1.tgz(NetBSD 6.1)
i386:ruby24-rspec-rails-3.6.1.tgz(NetBSD 6.1)
i386:ruby21-rspec-rails-3.4.2.tgz(NetBSD 6.1)
i386:ruby22-rspec-rails-3.4.2.tgz(NetBSD 6.1)
i386:ruby23-rspec-rails-3.4.2.tgz(NetBSD 6.1)
i386:ruby21-rspec-rails-3.5.2.tgz(NetBSD 6.1)
i386:ruby22-rspec-rails-3.5.2.tgz(NetBSD 6.1)
i386:ruby23-rspec-rails-3.5.2.tgz(NetBSD 6.1)
i386:ruby21-rspec-rails-3.5.2.tgz(NetBSD 6.1)
i386:ruby22-rspec-rails-3.5.2.tgz(NetBSD 6.1)
i386:ruby23-rspec-rails-3.5.2.tgz(NetBSD 6.1)
i386:ruby22-rspec-rails-3.6.0nb1.tgz(NetBSD 6.1)
i386:ruby23-rspec-rails-3.6.0nb1.tgz(NetBSD 6.1)
i386:ruby24-rspec-rails-3.6.0nb1.tgz(NetBSD 6.1)
i386:ruby22-rspec-rails-3.6.1.tgz(NetBSD 7.0)
i386:ruby23-rspec-rails-3.6.1.tgz(NetBSD 7.0)
i386:ruby24-rspec-rails-3.6.1.tgz(NetBSD 7.0)
i386:ruby21-rspec-rails-3.4.2.tgz(NetBSD 7.0)
i386:ruby22-rspec-rails-3.4.2.tgz(NetBSD 7.0)
i386:ruby23-rspec-rails-3.4.2.tgz(NetBSD 7.0)
i386:ruby21-rspec-rails-3.5.2.tgz(NetBSD 7.0)
i386:ruby22-rspec-rails-3.5.2.tgz(NetBSD 7.0)
i386:ruby23-rspec-rails-3.5.2.tgz(NetBSD 7.0)
i386:ruby21-rspec-rails-3.5.2.tgz(NetBSD 7.0)
i386:ruby22-rspec-rails-3.5.2.tgz(NetBSD 7.0)
i386:ruby23-rspec-rails-3.5.2.tgz(NetBSD 7.0)
i386:ruby22-rspec-rails-3.6.0nb1.tgz(NetBSD 7.0)
i386:ruby23-rspec-rails-3.6.0nb1.tgz(NetBSD 7.0)
i386:ruby24-rspec-rails-3.6.0nb1.tgz(NetBSD 7.0)
i386:ruby18-rspec-rails-2.6.1.tgz(QNX 6.5.0)
i386:ruby19-rspec-rails-2.6.1.tgz(QNX 6.5.0)
powerpc:ruby24-rspec-rails-3.6.0nb1.tgz(NetBSD 6.1)
powerpc:ruby200-rspec-rails-3.4.0.tgz(NetBSD 7.0)
powerpc:ruby21-rspec-rails-3.4.0.tgz(NetBSD 7.0)
powerpc:ruby22-rspec-rails-3.4.0.tgz(NetBSD 7.0)
powerpc:ruby22-rspec-rails-3.6.0nb1.tgz(NetBSD 7.1)
powerpc:ruby23-rspec-rails-3.6.0nb1.tgz(NetBSD 7.1)
powerpc:ruby24-rspec-rails-3.6.0nb1.tgz(NetBSD 7.1)
powerpc:ruby22-rspec-rails-3.6.1.tgz(NetBSD 7.1)
powerpc:ruby23-rspec-rails-3.6.1.tgz(NetBSD 7.1)
powerpc:ruby24-rspec-rails-3.6.1.tgz(NetBSD 7.1)
powerpc:ruby22-rspec-rails-3.6.0nb1.tgz(NetBSD 8.0)
powerpc:ruby23-rspec-rails-3.6.0nb1.tgz(NetBSD 8.0)
powerpc:ruby24-rspec-rails-3.6.0nb1.tgz(NetBSD 8.0)
sparc64:ruby193-rspec-rails-3.2.1.tgz(NetBSD 7.0)
sparc64:ruby193-rspec-rails-3.3.1.tgz(NetBSD 7.0)
sparc64:ruby200-rspec-rails-3.2.1.tgz(NetBSD 7.0)
sparc64:ruby200-rspec-rails-3.3.1.tgz(NetBSD 7.0)
sparc64:ruby200-rspec-rails-3.4.0.tgz(NetBSD 7.0)
sparc64:ruby21-rspec-rails-3.3.1.tgz(NetBSD 7.0)
sparc64:ruby21-rspec-rails-3.4.0.tgz(NetBSD 7.0)
sparc64:ruby22-rspec-rails-3.3.1.tgz(NetBSD 7.0)
sparc64:ruby22-rspec-rails-3.4.0.tgz(NetBSD 7.0)
sparc:ruby193-rspec-rails-3.3.1.tgz(NetBSD 5.1)
sparc:ruby193-rspec-rails-3.2.1.tgz(NetBSD 5.1)
x86_64:ruby22-rspec-rails-3.6.1.tgz(NetBSD 6.0)
x86_64:ruby23-rspec-rails-3.6.1.tgz(NetBSD 6.0)
x86_64:ruby24-rspec-rails-3.6.1.tgz(NetBSD 6.0)
x86_64:ruby21-rspec-rails-3.4.2.tgz(NetBSD 6.0)
x86_64:ruby22-rspec-rails-3.4.2.tgz(NetBSD 6.0)
x86_64:ruby23-rspec-rails-3.4.2.tgz(NetBSD 6.0)
x86_64:ruby21-rspec-rails-3.5.2.tgz(NetBSD 6.0)
x86_64:ruby22-rspec-rails-3.5.2.tgz(NetBSD 6.0)
x86_64:ruby23-rspec-rails-3.5.2.tgz(NetBSD 6.0)
x86_64:ruby21-rspec-rails-3.5.2.tgz(NetBSD 6.0)
x86_64:ruby22-rspec-rails-3.5.2.tgz(NetBSD 6.0)
x86_64:ruby23-rspec-rails-3.5.2.tgz(NetBSD 6.0)
x86_64:ruby22-rspec-rails-3.6.0nb1.tgz(NetBSD 6.0)
x86_64:ruby23-rspec-rails-3.6.0nb1.tgz(NetBSD 6.0)
x86_64:ruby24-rspec-rails-3.6.0nb1.tgz(NetBSD 6.0)
x86_64:ruby22-rspec-rails-3.6.1.tgz(NetBSD 6.1)
x86_64:ruby23-rspec-rails-3.6.1.tgz(NetBSD 6.1)
x86_64:ruby24-rspec-rails-3.6.1.tgz(NetBSD 6.1)
x86_64:ruby21-rspec-rails-3.4.2.tgz(NetBSD 6.1)
x86_64:ruby22-rspec-rails-3.4.2.tgz(NetBSD 6.1)
x86_64:ruby23-rspec-rails-3.4.2.tgz(NetBSD 6.1)
x86_64:ruby21-rspec-rails-3.5.2.tgz(NetBSD 6.1)
x86_64:ruby22-rspec-rails-3.5.2.tgz(NetBSD 6.1)
x86_64:ruby23-rspec-rails-3.5.2.tgz(NetBSD 6.1)
x86_64:ruby21-rspec-rails-3.5.2.tgz(NetBSD 6.1)
x86_64:ruby22-rspec-rails-3.5.2.tgz(NetBSD 6.1)
x86_64:ruby23-rspec-rails-3.5.2.tgz(NetBSD 6.1)
x86_64:ruby22-rspec-rails-3.6.0nb1.tgz(NetBSD 6.1)
x86_64:ruby23-rspec-rails-3.6.0nb1.tgz(NetBSD 6.1)
x86_64:ruby24-rspec-rails-3.6.0nb1.tgz(NetBSD 6.1)
x86_64:ruby22-rspec-rails-3.6.1.tgz(NetBSD 7.0)
x86_64:ruby23-rspec-rails-3.6.1.tgz(NetBSD 7.0)
x86_64:ruby24-rspec-rails-3.6.1.tgz(NetBSD 7.0)
x86_64:ruby21-rspec-rails-3.4.2.tgz(NetBSD 7.0)
x86_64:ruby22-rspec-rails-3.4.2.tgz(NetBSD 7.0)
x86_64:ruby23-rspec-rails-3.4.2.tgz(NetBSD 7.0)
x86_64:ruby21-rspec-rails-3.5.2.tgz(NetBSD 7.0)
x86_64:ruby22-rspec-rails-3.5.2.tgz(NetBSD 7.0)
x86_64:ruby23-rspec-rails-3.5.2.tgz(NetBSD 7.0)
x86_64:ruby21-rspec-rails-3.5.2.tgz(NetBSD 7.0)
x86_64:ruby22-rspec-rails-3.5.2.tgz(NetBSD 7.0)
x86_64:ruby23-rspec-rails-3.5.2.tgz(NetBSD 7.0)
x86_64:ruby22-rspec-rails-3.6.0nb1.tgz(NetBSD 7.0)
x86_64:ruby23-rspec-rails-3.6.0nb1.tgz(NetBSD 7.0)
x86_64:ruby24-rspec-rails-3.6.0nb1.tgz(NetBSD 7.0)
x86_64:ruby22-rspec-rails-3.6.0nb1.tgz(NetBSD 7.0.1_PATCH)
x86_64:ruby23-rspec-rails-3.6.0nb1.tgz(NetBSD 7.0.1_PATCH)
x86_64:ruby24-rspec-rails-3.6.0nb1.tgz(NetBSD 7.0.1_PATCH)
x86_64:ruby22-rspec-rails-3.6.0nb1.tgz(NetBSD 8.99.1)
x86_64:ruby23-rspec-rails-3.6.0nb1.tgz(NetBSD 8.99.1)
x86_64:ruby24-rspec-rails-3.6.0nb1.tgz(NetBSD 8.99.1)
x86_64:ruby22-rspec-rails-3.6.0nb1.tgz(NetBSD 8.99.1)
x86_64:ruby23-rspec-rails-3.6.0nb1.tgz(NetBSD 8.99.1)
x86_64:ruby24-rspec-rails-3.6.0nb1.tgz(NetBSD 8.99.1)

The NetBSD packages collection is designed to permit easy installation from source - particularly useful if the latest binary package is not available for your chosen platform.


[ Go up one level | Go to top of packages tree | List all packages ]